image: node:alpine

stages:
  - setup
  - build

setup:
  stage: setup
  before_script:
    - echo "//registry.npmjs.org/:_authToken=$NPM_AUTH_TOKEN" > ~/.npmrc
  script:
    - yarn
  artifacts:
    paths:
      - node_modules/

build:
  stage: build
  before_script:
    - chmod +x ./node_modules/web-component-env/src/wce-bundle
  script:
    - yarn oecd:bundle
  dependencies:
    - setup
  artifacts:
    paths:
      - dist/
